質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.33%

  • Ruby on Rails

    7684questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

rails sでエラー、起動できません

受付中

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 1,614

pino9

score 2

rails初心者なのですが・・・
rails sをしても以下のようなエラーが出てサーバーの起動ができません。
はじめにある通りconfig/enviroments/*.rbのファイルを確認したのですが、testとproductionの方は既にこの指示通りになっているはずで、developmentというファイルはそもそも存在しませんでした。
右も左もわからない状況なのですがどうしてもやらなければならず・・どうかおたすけください・・

=> Rails 4.2.4 application starting in development on http://localhost:3000
=> Run `rails server -h` for more startup options
=> Ctrl-C to shutdown server
config.eager_load is set to nil. Please update your config/environments/*.rb files accordingly:

  * development - set it to false
  * test - set it to false (unless you use a tool that preloads your test environment)
  * production - set it to true

Exiting
(erb):53:in `<main>': Cannot load `Rails.application.database_configuration`: (NoMethodError)
undefined method `username' for nil:NilClass
  from /Users/***/.rbenv/versions/2.1.7/lib/ruby/2.1.0/erb.rb:850:in `eval'
  from /Users/***/.rbenv/versions/2.1.7/lib/ruby/2.1.0/erb.rb:850:in `result'
  from /Users/***/.rbenv/versions/2.1.7/lib/ruby/gems/2.1.0/gems/railties-4.2.4/lib/rails/application/configuration.rb:104:in `database_configuration'
  from /Users/***/.rbenv/versions/2.1.7/lib/ruby/gems/2.1.0/gems/activerecord-4.2.4/lib/active_record/railtie.rb:117:in `block (2 levels) in <class:Railtie>'
  from /Users/***/.rbenv/versions/2.1.7/lib/ruby/gems/2.1.0/gems/activesupport-4.2.4/lib/active_support/lazy_load_hooks.rb:38:in `instance_eval'
  from /Users/***/.rbenv/versions/2.1.7/lib/ruby/gems/2.1.0/gems/activesupport-4.2.4/lib/active_support/lazy_load_hooks.rb:38:in `execute_hook'
  from /Users/***/.rbenv/versions/2.1.7/lib/ruby/gems/2.1.0/gems/activesupport-4.2.4/lib/active_support/lazy_load_hooks.rb:45:in `block in run_load_hooks'
  from /Users/***/.rbenv/versions/2.1.7/lib/ruby/gems/2.1.0/gems/activesupport-4.2.4/lib/active_support/lazy_load_hooks.rb:44:in `each'
  from /Users/***/.rbenv/versions/2.1.7/lib/ruby/gems/2.1.0/gems/activesupport-4.2.4/lib/active_support/lazy_load_hooks.rb:44:in `run_load_hooks'
  from /Users/***/.rbenv/versions/2.1.7/lib/ruby/gems/2.1.0/gems/activerecord-4.2.4/lib/active_record/base.rb:315:in `<module:ActiveRecord>'

・・・延々とこれが続く
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

0

config/environments/development.rb
が無いっていうのは消したってことでしょうか?
これが無いと起動しないと思います。

(erb):53:in <main>': Cannot load Rails.application.database_configuration`: (NoMethodError)

これはconfig/database.yml の書き方がおかしいと思われます。

development:
  host: <%= host %>
  database: <%= database %>
  username: <%= username %>
.
.
.

のように <%= %> で囲まれた箇所は無いですか?
あるなら、そこに正しい値を入れましょう

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

同じタグがついた質問を見る

  • Ruby on Rails

    7684questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。